Index: XIOS/trunk/src/interface/c_attr/icaxis_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icaxis_attr.cpp	(revision 1622)
+++ XIOS/trunk/src/interface/c_attr/icaxis_attr.cpp	(revision 1626)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: XIOS/trunk/src/interface/c_attr/icaxisgroup_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icaxisgroup_attr.cpp	(revision 1622)
+++ XIOS/trunk/src/interface/c_attr/icaxisgroup_attr.cpp	(revision 1626)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: XIOS/trunk/src/interface/c_attr/iccalendar_wrapper_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/iccalendar_wrapper_attr.cpp	(revision 1622)
+++ XIOS/trunk/src/interface/c_attr/iccalendar_wrapper_attr.cpp	(revision 1626)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: XIOS/trunk/src/interface/c_attr/iccompute_connectivity_domain_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/iccompute_connectivity_domain_attr.cpp	(revision 1622)
+++ XIOS/trunk/src/interface/c_attr/iccompute_connectivity_domain_attr.cpp	(revision 1626)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: XIOS/trunk/src/interface/c_attr/iccontext_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/iccontext_attr.cpp	(revision 1622)
+++ XIOS/trunk/src/interface/c_attr/iccontext_attr.cpp	(revision 1626)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: XIOS/trunk/src/interface/c_attr/icdomain_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icdomain_attr.cpp	(revision 1622)
+++ XIOS/trunk/src/interface/c_attr/icdomain_attr.cpp	(revision 1626)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
@@ -952,4 +951,27 @@
 
 
+  void cxios_set_domain_radius(domain_Ptr domain_hdl, double radius)
+  {
+    CTimer::get("XIOS").resume();
+    domain_hdl->radius.setValue(radius);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_domain_radius(domain_Ptr domain_hdl, double* radius)
+  {
+    CTimer::get("XIOS").resume();
+    *radius = domain_hdl->radius.getInheritedValue();
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_domain_radius(domain_Ptr domain_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = domain_hdl->radius.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
   void cxios_set_domain_standard_name(domain_Ptr domain_hdl, const char * standard_name, int standard_name_size)
   {
Index: XIOS/trunk/src/interface/c_attr/icdomaingroup_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icdomaingroup_attr.cpp	(revision 1622)
+++ XIOS/trunk/src/interface/c_attr/icdomaingroup_attr.cpp	(revision 1626)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
@@ -978,4 +977,27 @@
 
 
+  void cxios_set_domaingroup_radius(domaingroup_Ptr domaingroup_hdl, double radius)
+  {
+    CTimer::get("XIOS").resume();
+    domaingroup_hdl->radius.setValue(radius);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_domaingroup_radius(domaingroup_Ptr domaingroup_hdl, double* radius)
+  {
+    CTimer::get("XIOS").resume();
+    *radius = domaingroup_hdl->radius.getInheritedValue();
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_domaingroup_radius(domaingroup_Ptr domaingroup_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = domaingroup_hdl->radius.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
   void cxios_set_domaingroup_standard_name(domaingroup_Ptr domaingroup_hdl, const char * standard_name, int standard_name_size)
   {
Index: XIOS/trunk/src/interface/c_attr/icduplicate_scalar_to_axis_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icduplicate_scalar_to_axis_attr.cpp	(revision 1622)
+++ XIOS/trunk/src/interface/c_attr/icduplicate_scalar_to_axis_attr.cpp	(revision 1626)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: XIOS/trunk/src/interface/c_attr/icexpand_domain_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icexpand_domain_attr.cpp	(revision 1622)
+++ XIOS/trunk/src/interface/c_attr/icexpand_domain_attr.cpp	(revision 1626)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: XIOS/trunk/src/interface/c_attr/icextract_axis_to_scalar_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icextract_axis_to_scalar_attr.cpp	(revision 1622)
+++ XIOS/trunk/src/interface/c_attr/icextract_axis_to_scalar_attr.cpp	(revision 1626)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: XIOS/trunk/src/interface/c_attr/icextract_domain_to_axis_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icextract_domain_to_axis_attr.cpp	(revision 1622)
+++ XIOS/trunk/src/interface/c_attr/icextract_domain_to_axis_attr.cpp	(revision 1626)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: XIOS/trunk/src/interface/c_attr/icfield_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icfield_attr.cpp	(revision 1622)
+++ XIOS/trunk/src/interface/c_attr/icfield_attr.cpp	(revision 1626)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: XIOS/trunk/src/interface/c_attr/icfieldgroup_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icfieldgroup_attr.cpp	(revision 1622)
+++ XIOS/trunk/src/interface/c_attr/icfieldgroup_attr.cpp	(revision 1626)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: XIOS/trunk/src/interface/c_attr/icfile_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icfile_attr.cpp	(revision 1622)
+++ XIOS/trunk/src/interface/c_attr/icfile_attr.cpp	(revision 1626)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: XIOS/trunk/src/interface/c_attr/icfilegroup_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icfilegroup_attr.cpp	(revision 1622)
+++ XIOS/trunk/src/interface/c_attr/icfilegroup_attr.cpp	(revision 1626)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: XIOS/trunk/src/interface/c_attr/icgenerate_rectilinear_domain_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icgenerate_rectilinear_domain_attr.cpp	(revision 1622)
+++ XIOS/trunk/src/interface/c_attr/icgenerate_rectilinear_domain_attr.cpp	(revision 1626)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: XIOS/trunk/src/interface/c_attr/icgrid_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icgrid_attr.cpp	(revision 1622)
+++ XIOS/trunk/src/interface/c_attr/icgrid_attr.cpp	(revision 1626)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: XIOS/trunk/src/interface/c_attr/icgridgroup_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icgridgroup_attr.cpp	(revision 1622)
+++ XIOS/trunk/src/interface/c_attr/icgridgroup_attr.cpp	(revision 1626)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: XIOS/trunk/src/interface/c_attr/icinterpolate_axis_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icinterpolate_axis_attr.cpp	(revision 1622)
+++ XIOS/trunk/src/interface/c_attr/icinterpolate_axis_attr.cpp	(revision 1626)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: XIOS/trunk/src/interface/c_attr/icinterpolate_domain_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icinterpolate_domain_attr.cpp	(revision 1622)
+++ XIOS/trunk/src/interface/c_attr/icinterpolate_domain_attr.cpp	(revision 1626)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
@@ -162,4 +161,27 @@
 
 
+  void cxios_set_interpolate_domain_use_area(interpolate_domain_Ptr interpolate_domain_hdl, bool use_area)
+  {
+    CTimer::get("XIOS").resume();
+    interpolate_domain_hdl->use_area.setValue(use_area);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_interpolate_domain_use_area(interpolate_domain_Ptr interpolate_domain_hdl, bool* use_area)
+  {
+    CTimer::get("XIOS").resume();
+    *use_area = interpolate_domain_hdl->use_area.getInheritedValue();
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_interpolate_domain_use_area(interpolate_domain_Ptr interpolate_domain_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = interpolate_domain_hdl->use_area.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
   void cxios_set_interpolate_domain_weight_filename(interpolate_domain_Ptr interpolate_domain_hdl, const char * weight_filename, int weight_filename_size)
   {
Index: XIOS/trunk/src/interface/c_attr/icinverse_axis_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icinverse_axis_attr.cpp	(revision 1622)
+++ XIOS/trunk/src/interface/c_attr/icinverse_axis_attr.cpp	(revision 1626)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: XIOS/trunk/src/interface/c_attr/icreduce_axis_to_axis_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icreduce_axis_to_axis_attr.cpp	(revision 1622)
+++ XIOS/trunk/src/interface/c_attr/icreduce_axis_to_axis_attr.cpp	(revision 1626)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: XIOS/trunk/src/interface/c_attr/icreduce_axis_to_scalar_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icreduce_axis_to_scalar_attr.cpp	(revision 1622)
+++ XIOS/trunk/src/interface/c_attr/icreduce_axis_to_scalar_attr.cpp	(revision 1626)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: XIOS/trunk/src/interface/c_attr/icreduce_domain_to_axis_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icreduce_domain_to_axis_attr.cpp	(revision 1622)
+++ XIOS/trunk/src/interface/c_attr/icreduce_domain_to_axis_attr.cpp	(revision 1626)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: XIOS/trunk/src/interface/c_attr/icreduce_domain_to_scalar_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icreduce_domain_to_scalar_attr.cpp	(revision 1622)
+++ XIOS/trunk/src/interface/c_attr/icreduce_domain_to_scalar_attr.cpp	(revision 1626)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: XIOS/trunk/src/interface/c_attr/icreduce_scalar_to_scalar_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icreduce_scalar_to_scalar_attr.cpp	(revision 1622)
+++ XIOS/trunk/src/interface/c_attr/icreduce_scalar_to_scalar_attr.cpp	(revision 1626)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: XIOS/trunk/src/interface/c_attr/icreorder_domain_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icreorder_domain_attr.cpp	(revision 1622)
+++ XIOS/trunk/src/interface/c_attr/icreorder_domain_attr.cpp	(revision 1626)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: XIOS/trunk/src/interface/c_attr/icscalar_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icscalar_attr.cpp	(revision 1622)
+++ XIOS/trunk/src/interface/c_attr/icscalar_attr.cpp	(revision 1626)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: XIOS/trunk/src/interface/c_attr/icscalargroup_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icscalargroup_attr.cpp	(revision 1622)
+++ XIOS/trunk/src/interface/c_attr/icscalargroup_attr.cpp	(revision 1626)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: XIOS/trunk/src/interface/c_attr/ictemporal_splitting_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/ictemporal_splitting_attr.cpp	(revision 1622)
+++ XIOS/trunk/src/interface/c_attr/ictemporal_splitting_attr.cpp	(revision 1626)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: XIOS/trunk/src/interface/c_attr/icvariable_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icvariable_attr.cpp	(revision 1622)
+++ XIOS/trunk/src/interface/c_attr/icvariable_attr.cpp	(revision 1626)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: XIOS/trunk/src/interface/c_attr/icvariablegroup_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icvariablegroup_attr.cpp	(revision 1622)
+++ XIOS/trunk/src/interface/c_attr/icvariablegroup_attr.cpp	(revision 1626)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: XIOS/trunk/src/interface/c_attr/iczoom_axis_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/iczoom_axis_attr.cpp	(revision 1622)
+++ XIOS/trunk/src/interface/c_attr/iczoom_axis_attr.cpp	(revision 1626)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: XIOS/trunk/src/interface/c_attr/iczoom_domain_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/iczoom_domain_attr.cpp	(revision 1622)
+++ XIOS/trunk/src/interface/c_attr/iczoom_domain_attr.cpp	(revision 1626)
@@ -4,5 +4,4 @@
 
 #include <boost/multi_array.hpp>
-#include <memory>
 #include "xios.hpp"
 #include "attribute_template.hpp"
Index: XIOS/trunk/src/interface/fortran_attr/domain_interface_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/domain_interface_attr.F90	(revision 1622)
+++ XIOS/trunk/src/interface/fortran_attr/domain_interface_attr.F90	(revision 1626)
@@ -782,4 +782,23 @@
 
 
+    SUBROUTINE cxios_set_domain_radius(domain_hdl, radius) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+      REAL (KIND=C_DOUBLE)      , VALUE :: radius
+    END SUBROUTINE cxios_set_domain_radius
+
+    SUBROUTINE cxios_get_domain_radius(domain_hdl, radius) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+      REAL (KIND=C_DOUBLE)             :: radius
+    END SUBROUTINE cxios_get_domain_radius
+
+    FUNCTION cxios_is_defined_domain_radius(domain_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domain_radius
+      INTEGER (kind = C_INTPTR_T), VALUE :: domain_hdl
+    END FUNCTION cxios_is_defined_domain_radius
+
+
     SUBROUTINE cxios_set_domain_standard_name(domain_hdl, standard_name, standard_name_size) BIND(C)
       USE ISO_C_BINDING
Index: XIOS/trunk/src/interface/fortran_attr/domaingroup_interface_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/domaingroup_interface_attr.F90	(revision 1622)
+++ XIOS/trunk/src/interface/fortran_attr/domaingroup_interface_attr.F90	(revision 1626)
@@ -803,4 +803,23 @@
 
 
+    SUBROUTINE cxios_set_domaingroup_radius(domaingroup_hdl, radius) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+      REAL (KIND=C_DOUBLE)      , VALUE :: radius
+    END SUBROUTINE cxios_set_domaingroup_radius
+
+    SUBROUTINE cxios_get_domaingroup_radius(domaingroup_hdl, radius) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+      REAL (KIND=C_DOUBLE)             :: radius
+    END SUBROUTINE cxios_get_domaingroup_radius
+
+    FUNCTION cxios_is_defined_domaingroup_radius(domaingroup_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_domaingroup_radius
+      INTEGER (kind = C_INTPTR_T), VALUE :: domaingroup_hdl
+    END FUNCTION cxios_is_defined_domaingroup_radius
+
+
     SUBROUTINE cxios_set_domaingroup_standard_name(domaingroup_hdl, standard_name, standard_name_size) BIND(C)
       USE ISO_C_BINDING
Index: XIOS/trunk/src/interface/fortran_attr/idomain_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/idomain_attr.F90	(revision 1622)
+++ XIOS/trunk/src/interface/fortran_attr/idomain_attr.F90	(revision 1626)
@@ -16,5 +16,5 @@
     , data_nj, dim_i_name, dim_j_name, domain_ref, i_index, ibegin, j_index, jbegin, lat_name, latvalue_1d  &
     , latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo  &
-    , nj, nj_glo, nvertex, prec, standard_name, type )
+    , nj, nj_glo, nvertex, prec, radius, standard_name, type )
 
     IMPLICIT NONE
@@ -61,4 +61,5 @@
       INTEGER  , OPTIONAL, INTENT(IN) :: nvertex
       INTEGER  , OPTIONAL, INTENT(IN) :: prec
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: radius
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: standard_name
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
@@ -71,5 +72,5 @@
       , data_nj, dim_i_name, dim_j_name, domain_ref, i_index, ibegin, j_index, jbegin, lat_name, latvalue_1d  &
       , latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo  &
-      , nj, nj_glo, nvertex, prec, standard_name, type )
+      , nj, nj_glo, nvertex, prec, radius, standard_name, type )
 
   END SUBROUTINE xios(set_domain_attr)
@@ -80,5 +81,5 @@
     , data_nj, dim_i_name, dim_j_name, domain_ref, i_index, ibegin, j_index, jbegin, lat_name, latvalue_1d  &
     , latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo  &
-    , nj, nj_glo, nvertex, prec, standard_name, type )
+    , nj, nj_glo, nvertex, prec, radius, standard_name, type )
 
     IMPLICIT NONE
@@ -124,4 +125,5 @@
       INTEGER  , OPTIONAL, INTENT(IN) :: nvertex
       INTEGER  , OPTIONAL, INTENT(IN) :: prec
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: radius
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: standard_name
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
@@ -132,5 +134,5 @@
       , data_nj, dim_i_name, dim_j_name, domain_ref, i_index, ibegin, j_index, jbegin, lat_name, latvalue_1d  &
       , latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo  &
-      , nj, nj_glo, nvertex, prec, standard_name, type )
+      , nj, nj_glo, nvertex, prec, radius, standard_name, type )
 
   END SUBROUTINE xios(set_domain_attr_hdl)
@@ -141,5 +143,6 @@
     , data_ni_, data_nj_, dim_i_name_, dim_j_name_, domain_ref_, i_index_, ibegin_, j_index_, jbegin_  &
     , lat_name_, latvalue_1d_, latvalue_2d_, lon_name_, long_name_, lonvalue_1d_, lonvalue_2d_, mask_1d_  &
-    , mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, prec_, standard_name_, type_ )
+    , mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, prec_, radius_, standard_name_, type_  &
+     )
 
     IMPLICIT NONE
@@ -185,4 +188,5 @@
       INTEGER  , OPTIONAL, INTENT(IN) :: nvertex_
       INTEGER  , OPTIONAL, INTENT(IN) :: prec_
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: radius_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: standard_name_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type_
@@ -382,4 +386,9 @@
       ENDIF
 
+      IF (PRESENT(radius_)) THEN
+        CALL cxios_set_domain_radius &
+      (domain_hdl%daddr, radius_)
+      ENDIF
+
       IF (PRESENT(standard_name_)) THEN
         CALL cxios_set_domain_standard_name &
@@ -399,5 +408,5 @@
     , data_nj, dim_i_name, dim_j_name, domain_ref, i_index, ibegin, j_index, jbegin, lat_name, latvalue_1d  &
     , latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo  &
-    , nj, nj_glo, nvertex, prec, standard_name, type )
+    , nj, nj_glo, nvertex, prec, radius, standard_name, type )
 
     IMPLICIT NONE
@@ -444,4 +453,5 @@
       INTEGER  , OPTIONAL, INTENT(OUT) :: nvertex
       INTEGER  , OPTIONAL, INTENT(OUT) :: prec
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: radius
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: standard_name
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
@@ -454,5 +464,5 @@
       , data_nj, dim_i_name, dim_j_name, domain_ref, i_index, ibegin, j_index, jbegin, lat_name, latvalue_1d  &
       , latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo  &
-      , nj, nj_glo, nvertex, prec, standard_name, type )
+      , nj, nj_glo, nvertex, prec, radius, standard_name, type )
 
   END SUBROUTINE xios(get_domain_attr)
@@ -463,5 +473,5 @@
     , data_nj, dim_i_name, dim_j_name, domain_ref, i_index, ibegin, j_index, jbegin, lat_name, latvalue_1d  &
     , latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo  &
-    , nj, nj_glo, nvertex, prec, standard_name, type )
+    , nj, nj_glo, nvertex, prec, radius, standard_name, type )
 
     IMPLICIT NONE
@@ -507,4 +517,5 @@
       INTEGER  , OPTIONAL, INTENT(OUT) :: nvertex
       INTEGER  , OPTIONAL, INTENT(OUT) :: prec
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: radius
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: standard_name
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
@@ -515,5 +526,5 @@
       , data_nj, dim_i_name, dim_j_name, domain_ref, i_index, ibegin, j_index, jbegin, lat_name, latvalue_1d  &
       , latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo  &
-      , nj, nj_glo, nvertex, prec, standard_name, type )
+      , nj, nj_glo, nvertex, prec, radius, standard_name, type )
 
   END SUBROUTINE xios(get_domain_attr_hdl)
@@ -524,5 +535,6 @@
     , data_ni_, data_nj_, dim_i_name_, dim_j_name_, domain_ref_, i_index_, ibegin_, j_index_, jbegin_  &
     , lat_name_, latvalue_1d_, latvalue_2d_, lon_name_, long_name_, lonvalue_1d_, lonvalue_2d_, mask_1d_  &
-    , mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, prec_, standard_name_, type_ )
+    , mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, prec_, radius_, standard_name_, type_  &
+     )
 
     IMPLICIT NONE
@@ -568,4 +580,5 @@
       INTEGER  , OPTIONAL, INTENT(OUT) :: nvertex_
       INTEGER  , OPTIONAL, INTENT(OUT) :: prec_
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: radius_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: standard_name_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type_
@@ -765,4 +778,9 @@
       ENDIF
 
+      IF (PRESENT(radius_)) THEN
+        CALL cxios_get_domain_radius &
+      (domain_hdl%daddr, radius_)
+      ENDIF
+
       IF (PRESENT(standard_name_)) THEN
         CALL cxios_get_domain_standard_name &
@@ -782,5 +800,5 @@
     , data_nj, dim_i_name, dim_j_name, domain_ref, i_index, ibegin, j_index, jbegin, lat_name, latvalue_1d  &
     , latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo  &
-    , nj, nj_glo, nvertex, prec, standard_name, type )
+    , nj, nj_glo, nvertex, prec, radius, standard_name, type )
 
     IMPLICIT NONE
@@ -863,4 +881,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: prec
       LOGICAL(KIND=C_BOOL) :: prec_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: radius
+      LOGICAL(KIND=C_BOOL) :: radius_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: standard_name
       LOGICAL(KIND=C_BOOL) :: standard_name_tmp
@@ -875,5 +895,5 @@
       , data_nj, dim_i_name, dim_j_name, domain_ref, i_index, ibegin, j_index, jbegin, lat_name, latvalue_1d  &
       , latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo  &
-      , nj, nj_glo, nvertex, prec, standard_name, type )
+      , nj, nj_glo, nvertex, prec, radius, standard_name, type )
 
   END SUBROUTINE xios(is_defined_domain_attr)
@@ -884,5 +904,5 @@
     , data_nj, dim_i_name, dim_j_name, domain_ref, i_index, ibegin, j_index, jbegin, lat_name, latvalue_1d  &
     , latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo  &
-    , nj, nj_glo, nvertex, prec, standard_name, type )
+    , nj, nj_glo, nvertex, prec, radius, standard_name, type )
 
     IMPLICIT NONE
@@ -964,4 +984,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: prec
       LOGICAL(KIND=C_BOOL) :: prec_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: radius
+      LOGICAL(KIND=C_BOOL) :: radius_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: standard_name
       LOGICAL(KIND=C_BOOL) :: standard_name_tmp
@@ -974,5 +996,5 @@
       , data_nj, dim_i_name, dim_j_name, domain_ref, i_index, ibegin, j_index, jbegin, lat_name, latvalue_1d  &
       , latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d, name, ni, ni_glo  &
-      , nj, nj_glo, nvertex, prec, standard_name, type )
+      , nj, nj_glo, nvertex, prec, radius, standard_name, type )
 
   END SUBROUTINE xios(is_defined_domain_attr_hdl)
@@ -983,5 +1005,6 @@
     , data_ni_, data_nj_, dim_i_name_, dim_j_name_, domain_ref_, i_index_, ibegin_, j_index_, jbegin_  &
     , lat_name_, latvalue_1d_, latvalue_2d_, lon_name_, long_name_, lonvalue_1d_, lonvalue_2d_, mask_1d_  &
-    , mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, prec_, standard_name_, type_ )
+    , mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, prec_, radius_, standard_name_, type_  &
+     )
 
     IMPLICIT NONE
@@ -1063,4 +1086,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: prec_
       LOGICAL(KIND=C_BOOL) :: prec__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: radius_
+      LOGICAL(KIND=C_BOOL) :: radius__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: standard_name_
       LOGICAL(KIND=C_BOOL) :: standard_name__tmp
@@ -1296,4 +1321,10 @@
       ENDIF
 
+      IF (PRESENT(radius_)) THEN
+        radius__tmp = cxios_is_defined_domain_radius &
+      (domain_hdl%daddr)
+        radius_ = radius__tmp
+      ENDIF
+
       IF (PRESENT(standard_name_)) THEN
         standard_name__tmp = cxios_is_defined_domain_standard_name &
Index: XIOS/trunk/src/interface/fortran_attr/idomaingroup_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/idomaingroup_attr.F90	(revision 1622)
+++ XIOS/trunk/src/interface/fortran_attr/idomaingroup_attr.F90	(revision 1626)
@@ -16,5 +16,5 @@
     , data_nj, dim_i_name, dim_j_name, domain_ref, group_ref, i_index, ibegin, j_index, jbegin, lat_name  &
     , latvalue_1d, latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d  &
-    , name, ni, ni_glo, nj, nj_glo, nvertex, prec, standard_name, type )
+    , name, ni, ni_glo, nj, nj_glo, nvertex, prec, radius, standard_name, type )
 
     IMPLICIT NONE
@@ -62,4 +62,5 @@
       INTEGER  , OPTIONAL, INTENT(IN) :: nvertex
       INTEGER  , OPTIONAL, INTENT(IN) :: prec
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: radius
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: standard_name
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
@@ -72,5 +73,5 @@
       , data_nj, dim_i_name, dim_j_name, domain_ref, group_ref, i_index, ibegin, j_index, jbegin, lat_name  &
       , latvalue_1d, latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d  &
-      , name, ni, ni_glo, nj, nj_glo, nvertex, prec, standard_name, type )
+      , name, ni, ni_glo, nj, nj_glo, nvertex, prec, radius, standard_name, type )
 
   END SUBROUTINE xios(set_domaingroup_attr)
@@ -81,5 +82,5 @@
     , data_nj, dim_i_name, dim_j_name, domain_ref, group_ref, i_index, ibegin, j_index, jbegin, lat_name  &
     , latvalue_1d, latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d  &
-    , name, ni, ni_glo, nj, nj_glo, nvertex, prec, standard_name, type )
+    , name, ni, ni_glo, nj, nj_glo, nvertex, prec, radius, standard_name, type )
 
     IMPLICIT NONE
@@ -126,4 +127,5 @@
       INTEGER  , OPTIONAL, INTENT(IN) :: nvertex
       INTEGER  , OPTIONAL, INTENT(IN) :: prec
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: radius
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: standard_name
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
@@ -134,5 +136,5 @@
       , data_nj, dim_i_name, dim_j_name, domain_ref, group_ref, i_index, ibegin, j_index, jbegin, lat_name  &
       , latvalue_1d, latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d  &
-      , name, ni, ni_glo, nj, nj_glo, nvertex, prec, standard_name, type )
+      , name, ni, ni_glo, nj, nj_glo, nvertex, prec, radius, standard_name, type )
 
   END SUBROUTINE xios(set_domaingroup_attr_hdl)
@@ -143,6 +145,6 @@
     , data_ni_, data_nj_, dim_i_name_, dim_j_name_, domain_ref_, group_ref_, i_index_, ibegin_, j_index_  &
     , jbegin_, lat_name_, latvalue_1d_, latvalue_2d_, lon_name_, long_name_, lonvalue_1d_, lonvalue_2d_  &
-    , mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, prec_, standard_name_, type_  &
-     )
+    , mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, prec_, radius_, standard_name_  &
+    , type_ )
 
     IMPLICIT NONE
@@ -189,4 +191,5 @@
       INTEGER  , OPTIONAL, INTENT(IN) :: nvertex_
       INTEGER  , OPTIONAL, INTENT(IN) :: prec_
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: radius_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: standard_name_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type_
@@ -391,4 +394,9 @@
       ENDIF
 
+      IF (PRESENT(radius_)) THEN
+        CALL cxios_set_domaingroup_radius &
+      (domaingroup_hdl%daddr, radius_)
+      ENDIF
+
       IF (PRESENT(standard_name_)) THEN
         CALL cxios_set_domaingroup_standard_name &
@@ -408,5 +416,5 @@
     , data_nj, dim_i_name, dim_j_name, domain_ref, group_ref, i_index, ibegin, j_index, jbegin, lat_name  &
     , latvalue_1d, latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d  &
-    , name, ni, ni_glo, nj, nj_glo, nvertex, prec, standard_name, type )
+    , name, ni, ni_glo, nj, nj_glo, nvertex, prec, radius, standard_name, type )
 
     IMPLICIT NONE
@@ -454,4 +462,5 @@
       INTEGER  , OPTIONAL, INTENT(OUT) :: nvertex
       INTEGER  , OPTIONAL, INTENT(OUT) :: prec
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: radius
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: standard_name
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
@@ -464,5 +473,5 @@
       , data_nj, dim_i_name, dim_j_name, domain_ref, group_ref, i_index, ibegin, j_index, jbegin, lat_name  &
       , latvalue_1d, latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d  &
-      , name, ni, ni_glo, nj, nj_glo, nvertex, prec, standard_name, type )
+      , name, ni, ni_glo, nj, nj_glo, nvertex, prec, radius, standard_name, type )
 
   END SUBROUTINE xios(get_domaingroup_attr)
@@ -473,5 +482,5 @@
     , data_nj, dim_i_name, dim_j_name, domain_ref, group_ref, i_index, ibegin, j_index, jbegin, lat_name  &
     , latvalue_1d, latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d  &
-    , name, ni, ni_glo, nj, nj_glo, nvertex, prec, standard_name, type )
+    , name, ni, ni_glo, nj, nj_glo, nvertex, prec, radius, standard_name, type )
 
     IMPLICIT NONE
@@ -518,4 +527,5 @@
       INTEGER  , OPTIONAL, INTENT(OUT) :: nvertex
       INTEGER  , OPTIONAL, INTENT(OUT) :: prec
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: radius
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: standard_name
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
@@ -526,5 +536,5 @@
       , data_nj, dim_i_name, dim_j_name, domain_ref, group_ref, i_index, ibegin, j_index, jbegin, lat_name  &
       , latvalue_1d, latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d  &
-      , name, ni, ni_glo, nj, nj_glo, nvertex, prec, standard_name, type )
+      , name, ni, ni_glo, nj, nj_glo, nvertex, prec, radius, standard_name, type )
 
   END SUBROUTINE xios(get_domaingroup_attr_hdl)
@@ -535,6 +545,6 @@
     , data_ni_, data_nj_, dim_i_name_, dim_j_name_, domain_ref_, group_ref_, i_index_, ibegin_, j_index_  &
     , jbegin_, lat_name_, latvalue_1d_, latvalue_2d_, lon_name_, long_name_, lonvalue_1d_, lonvalue_2d_  &
-    , mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, prec_, standard_name_, type_  &
-     )
+    , mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, prec_, radius_, standard_name_  &
+    , type_ )
 
     IMPLICIT NONE
@@ -581,4 +591,5 @@
       INTEGER  , OPTIONAL, INTENT(OUT) :: nvertex_
       INTEGER  , OPTIONAL, INTENT(OUT) :: prec_
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: radius_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: standard_name_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type_
@@ -783,4 +794,9 @@
       ENDIF
 
+      IF (PRESENT(radius_)) THEN
+        CALL cxios_get_domaingroup_radius &
+      (domaingroup_hdl%daddr, radius_)
+      ENDIF
+
       IF (PRESENT(standard_name_)) THEN
         CALL cxios_get_domaingroup_standard_name &
@@ -800,5 +816,5 @@
     , data_nj, dim_i_name, dim_j_name, domain_ref, group_ref, i_index, ibegin, j_index, jbegin, lat_name  &
     , latvalue_1d, latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d  &
-    , name, ni, ni_glo, nj, nj_glo, nvertex, prec, standard_name, type )
+    , name, ni, ni_glo, nj, nj_glo, nvertex, prec, radius, standard_name, type )
 
     IMPLICIT NONE
@@ -883,4 +899,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: prec
       LOGICAL(KIND=C_BOOL) :: prec_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: radius
+      LOGICAL(KIND=C_BOOL) :: radius_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: standard_name
       LOGICAL(KIND=C_BOOL) :: standard_name_tmp
@@ -895,5 +913,5 @@
       , data_nj, dim_i_name, dim_j_name, domain_ref, group_ref, i_index, ibegin, j_index, jbegin, lat_name  &
       , latvalue_1d, latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d  &
-      , name, ni, ni_glo, nj, nj_glo, nvertex, prec, standard_name, type )
+      , name, ni, ni_glo, nj, nj_glo, nvertex, prec, radius, standard_name, type )
 
   END SUBROUTINE xios(is_defined_domaingroup_attr)
@@ -904,5 +922,5 @@
     , data_nj, dim_i_name, dim_j_name, domain_ref, group_ref, i_index, ibegin, j_index, jbegin, lat_name  &
     , latvalue_1d, latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d  &
-    , name, ni, ni_glo, nj, nj_glo, nvertex, prec, standard_name, type )
+    , name, ni, ni_glo, nj, nj_glo, nvertex, prec, radius, standard_name, type )
 
     IMPLICIT NONE
@@ -986,4 +1004,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: prec
       LOGICAL(KIND=C_BOOL) :: prec_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: radius
+      LOGICAL(KIND=C_BOOL) :: radius_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: standard_name
       LOGICAL(KIND=C_BOOL) :: standard_name_tmp
@@ -996,5 +1016,5 @@
       , data_nj, dim_i_name, dim_j_name, domain_ref, group_ref, i_index, ibegin, j_index, jbegin, lat_name  &
       , latvalue_1d, latvalue_2d, lon_name, long_name, lonvalue_1d, lonvalue_2d, mask_1d, mask_2d  &
-      , name, ni, ni_glo, nj, nj_glo, nvertex, prec, standard_name, type )
+      , name, ni, ni_glo, nj, nj_glo, nvertex, prec, radius, standard_name, type )
 
   END SUBROUTINE xios(is_defined_domaingroup_attr_hdl)
@@ -1005,6 +1025,6 @@
     , data_ni_, data_nj_, dim_i_name_, dim_j_name_, domain_ref_, group_ref_, i_index_, ibegin_, j_index_  &
     , jbegin_, lat_name_, latvalue_1d_, latvalue_2d_, lon_name_, long_name_, lonvalue_1d_, lonvalue_2d_  &
-    , mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, prec_, standard_name_, type_  &
-     )
+    , mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, prec_, radius_, standard_name_  &
+    , type_ )
 
     IMPLICIT NONE
@@ -1088,4 +1108,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: prec_
       LOGICAL(KIND=C_BOOL) :: prec__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: radius_
+      LOGICAL(KIND=C_BOOL) :: radius__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: standard_name_
       LOGICAL(KIND=C_BOOL) :: standard_name__tmp
@@ -1327,4 +1349,10 @@
       ENDIF
 
+      IF (PRESENT(radius_)) THEN
+        radius__tmp = cxios_is_defined_domaingroup_radius &
+      (domaingroup_hdl%daddr)
+        radius_ = radius__tmp
+      ENDIF
+
       IF (PRESENT(standard_name_)) THEN
         standard_name__tmp = cxios_is_defined_domaingroup_standard_name &
Index: XIOS/trunk/src/interface/fortran_attr/iinterpolate_domain_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/iinterpolate_domain_attr.F90	(revision 1622)
+++ XIOS/trunk/src/interface/fortran_attr/iinterpolate_domain_attr.F90	(revision 1626)
@@ -13,5 +13,5 @@
   SUBROUTINE xios(set_interpolate_domain_attr)  &
     ( interpolate_domain_id, detect_missing_value, mode, order, quantity, read_write_convention  &
-    , renormalize, weight_filename, write_weight )
+    , renormalize, use_area, weight_filename, write_weight )
 
     IMPLICIT NONE
@@ -27,4 +27,6 @@
       LOGICAL  , OPTIONAL, INTENT(IN) :: renormalize
       LOGICAL (KIND=C_BOOL) :: renormalize_tmp
+      LOGICAL  , OPTIONAL, INTENT(IN) :: use_area
+      LOGICAL (KIND=C_BOOL) :: use_area_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: weight_filename
       LOGICAL  , OPTIONAL, INTENT(IN) :: write_weight
@@ -35,5 +37,5 @@
       CALL xios(set_interpolate_domain_attr_hdl_)   &
       ( interpolate_domain_hdl, detect_missing_value, mode, order, quantity, read_write_convention  &
-      , renormalize, weight_filename, write_weight )
+      , renormalize, use_area, weight_filename, write_weight )
 
   END SUBROUTINE xios(set_interpolate_domain_attr)
@@ -41,5 +43,5 @@
   SUBROUTINE xios(set_interpolate_domain_attr_hdl)  &
     ( interpolate_domain_hdl, detect_missing_value, mode, order, quantity, read_write_convention  &
-    , renormalize, weight_filename, write_weight )
+    , renormalize, use_area, weight_filename, write_weight )
 
     IMPLICIT NONE
@@ -54,4 +56,6 @@
       LOGICAL  , OPTIONAL, INTENT(IN) :: renormalize
       LOGICAL (KIND=C_BOOL) :: renormalize_tmp
+      LOGICAL  , OPTIONAL, INTENT(IN) :: use_area
+      LOGICAL (KIND=C_BOOL) :: use_area_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: weight_filename
       LOGICAL  , OPTIONAL, INTENT(IN) :: write_weight
@@ -60,5 +64,5 @@
       CALL xios(set_interpolate_domain_attr_hdl_)  &
       ( interpolate_domain_hdl, detect_missing_value, mode, order, quantity, read_write_convention  &
-      , renormalize, weight_filename, write_weight )
+      , renormalize, use_area, weight_filename, write_weight )
 
   END SUBROUTINE xios(set_interpolate_domain_attr_hdl)
@@ -66,5 +70,5 @@
   SUBROUTINE xios(set_interpolate_domain_attr_hdl_)   &
     ( interpolate_domain_hdl, detect_missing_value_, mode_, order_, quantity_, read_write_convention_  &
-    , renormalize_, weight_filename_, write_weight_ )
+    , renormalize_, use_area_, weight_filename_, write_weight_ )
 
     IMPLICIT NONE
@@ -79,4 +83,6 @@
       LOGICAL  , OPTIONAL, INTENT(IN) :: renormalize_
       LOGICAL (KIND=C_BOOL) :: renormalize__tmp
+      LOGICAL  , OPTIONAL, INTENT(IN) :: use_area_
+      LOGICAL (KIND=C_BOOL) :: use_area__tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: weight_filename_
       LOGICAL  , OPTIONAL, INTENT(IN) :: write_weight_
@@ -116,4 +122,10 @@
       ENDIF
 
+      IF (PRESENT(use_area_)) THEN
+        use_area__tmp = use_area_
+        CALL cxios_set_interpolate_domain_use_area &
+      (interpolate_domain_hdl%daddr, use_area__tmp)
+      ENDIF
+
       IF (PRESENT(weight_filename_)) THEN
         CALL cxios_set_interpolate_domain_weight_filename &
@@ -131,5 +143,5 @@
   SUBROUTINE xios(get_interpolate_domain_attr)  &
     ( interpolate_domain_id, detect_missing_value, mode, order, quantity, read_write_convention  &
-    , renormalize, weight_filename, write_weight )
+    , renormalize, use_area, weight_filename, write_weight )
 
     IMPLICIT NONE
@@ -145,4 +157,6 @@
       LOGICAL  , OPTIONAL, INTENT(OUT) :: renormalize
       LOGICAL (KIND=C_BOOL) :: renormalize_tmp
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: use_area
+      LOGICAL (KIND=C_BOOL) :: use_area_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: weight_filename
       LOGICAL  , OPTIONAL, INTENT(OUT) :: write_weight
@@ -153,5 +167,5 @@
       CALL xios(get_interpolate_domain_attr_hdl_)   &
       ( interpolate_domain_hdl, detect_missing_value, mode, order, quantity, read_write_convention  &
-      , renormalize, weight_filename, write_weight )
+      , renormalize, use_area, weight_filename, write_weight )
 
   END SUBROUTINE xios(get_interpolate_domain_attr)
@@ -159,5 +173,5 @@
   SUBROUTINE xios(get_interpolate_domain_attr_hdl)  &
     ( interpolate_domain_hdl, detect_missing_value, mode, order, quantity, read_write_convention  &
-    , renormalize, weight_filename, write_weight )
+    , renormalize, use_area, weight_filename, write_weight )
 
     IMPLICIT NONE
@@ -172,4 +186,6 @@
       LOGICAL  , OPTIONAL, INTENT(OUT) :: renormalize
       LOGICAL (KIND=C_BOOL) :: renormalize_tmp
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: use_area
+      LOGICAL (KIND=C_BOOL) :: use_area_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: weight_filename
       LOGICAL  , OPTIONAL, INTENT(OUT) :: write_weight
@@ -178,5 +194,5 @@
       CALL xios(get_interpolate_domain_attr_hdl_)  &
       ( interpolate_domain_hdl, detect_missing_value, mode, order, quantity, read_write_convention  &
-      , renormalize, weight_filename, write_weight )
+      , renormalize, use_area, weight_filename, write_weight )
 
   END SUBROUTINE xios(get_interpolate_domain_attr_hdl)
@@ -184,5 +200,5 @@
   SUBROUTINE xios(get_interpolate_domain_attr_hdl_)   &
     ( interpolate_domain_hdl, detect_missing_value_, mode_, order_, quantity_, read_write_convention_  &
-    , renormalize_, weight_filename_, write_weight_ )
+    , renormalize_, use_area_, weight_filename_, write_weight_ )
 
     IMPLICIT NONE
@@ -197,4 +213,6 @@
       LOGICAL  , OPTIONAL, INTENT(OUT) :: renormalize_
       LOGICAL (KIND=C_BOOL) :: renormalize__tmp
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: use_area_
+      LOGICAL (KIND=C_BOOL) :: use_area__tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: weight_filename_
       LOGICAL  , OPTIONAL, INTENT(OUT) :: write_weight_
@@ -234,4 +252,10 @@
       ENDIF
 
+      IF (PRESENT(use_area_)) THEN
+        CALL cxios_get_interpolate_domain_use_area &
+      (interpolate_domain_hdl%daddr, use_area__tmp)
+        use_area_ = use_area__tmp
+      ENDIF
+
       IF (PRESENT(weight_filename_)) THEN
         CALL cxios_get_interpolate_domain_weight_filename &
@@ -249,5 +273,5 @@
   SUBROUTINE xios(is_defined_interpolate_domain_attr)  &
     ( interpolate_domain_id, detect_missing_value, mode, order, quantity, read_write_convention  &
-    , renormalize, weight_filename, write_weight )
+    , renormalize, use_area, weight_filename, write_weight )
 
     IMPLICIT NONE
@@ -266,4 +290,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: renormalize
       LOGICAL(KIND=C_BOOL) :: renormalize_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: use_area
+      LOGICAL(KIND=C_BOOL) :: use_area_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: weight_filename
       LOGICAL(KIND=C_BOOL) :: weight_filename_tmp
@@ -275,5 +301,5 @@
       CALL xios(is_defined_interpolate_domain_attr_hdl_)   &
       ( interpolate_domain_hdl, detect_missing_value, mode, order, quantity, read_write_convention  &
-      , renormalize, weight_filename, write_weight )
+      , renormalize, use_area, weight_filename, write_weight )
 
   END SUBROUTINE xios(is_defined_interpolate_domain_attr)
@@ -281,5 +307,5 @@
   SUBROUTINE xios(is_defined_interpolate_domain_attr_hdl)  &
     ( interpolate_domain_hdl, detect_missing_value, mode, order, quantity, read_write_convention  &
-    , renormalize, weight_filename, write_weight )
+    , renormalize, use_area, weight_filename, write_weight )
 
     IMPLICIT NONE
@@ -297,4 +323,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: renormalize
       LOGICAL(KIND=C_BOOL) :: renormalize_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: use_area
+      LOGICAL(KIND=C_BOOL) :: use_area_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: weight_filename
       LOGICAL(KIND=C_BOOL) :: weight_filename_tmp
@@ -304,5 +332,5 @@
       CALL xios(is_defined_interpolate_domain_attr_hdl_)  &
       ( interpolate_domain_hdl, detect_missing_value, mode, order, quantity, read_write_convention  &
-      , renormalize, weight_filename, write_weight )
+      , renormalize, use_area, weight_filename, write_weight )
 
   END SUBROUTINE xios(is_defined_interpolate_domain_attr_hdl)
@@ -310,5 +338,5 @@
   SUBROUTINE xios(is_defined_interpolate_domain_attr_hdl_)   &
     ( interpolate_domain_hdl, detect_missing_value_, mode_, order_, quantity_, read_write_convention_  &
-    , renormalize_, weight_filename_, write_weight_ )
+    , renormalize_, use_area_, weight_filename_, write_weight_ )
 
     IMPLICIT NONE
@@ -326,4 +354,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: renormalize_
       LOGICAL(KIND=C_BOOL) :: renormalize__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: use_area_
+      LOGICAL(KIND=C_BOOL) :: use_area__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: weight_filename_
       LOGICAL(KIND=C_BOOL) :: weight_filename__tmp
@@ -367,4 +397,10 @@
       ENDIF
 
+      IF (PRESENT(use_area_)) THEN
+        use_area__tmp = cxios_is_defined_interpolate_domain_use_area &
+      (interpolate_domain_hdl%daddr)
+        use_area_ = use_area__tmp
+      ENDIF
+
       IF (PRESENT(weight_filename_)) THEN
         weight_filename__tmp = cxios_is_defined_interpolate_domain_weight_filename &
Index: XIOS/trunk/src/interface/fortran_attr/interpolate_domain_interface_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/interpolate_domain_interface_attr.F90	(revision 1622)
+++ XIOS/trunk/src/interface/fortran_attr/interpolate_domain_interface_attr.F90	(revision 1626)
@@ -88,5 +88,6 @@
 
 
-    SUBROUTINE cxios_set_interpolate_domain_read_write_convention(interpolate_domain_hdl, read_write_convention, read_write_convention_size) BIND(C)
+    SUBROUTINE cxios_set_interpolate_domain_read_write_convention(interpolate_domain_hdl, read_write_convention, read_write_conven&
+&tion_size) BIND(C)
       USE ISO_C_BINDING
       INTEGER (kind = C_INTPTR_T), VALUE :: interpolate_domain_hdl
@@ -95,5 +96,6 @@
     END SUBROUTINE cxios_set_interpolate_domain_read_write_convention
 
-    SUBROUTINE cxios_get_interpolate_domain_read_write_convention(interpolate_domain_hdl, read_write_convention, read_write_convention_size) BIND(C)
+    SUBROUTINE cxios_get_interpolate_domain_read_write_convention(interpolate_domain_hdl, read_write_convention, read_write_conven&
+&tion_size) BIND(C)
       USE ISO_C_BINDING
       INTEGER (kind = C_INTPTR_T), VALUE :: interpolate_domain_hdl
@@ -126,4 +128,23 @@
       INTEGER (kind = C_INTPTR_T), VALUE :: interpolate_domain_hdl
     END FUNCTION cxios_is_defined_interpolate_domain_renormalize
+
+
+    SUBROUTINE cxios_set_interpolate_domain_use_area(interpolate_domain_hdl, use_area) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: interpolate_domain_hdl
+      LOGICAL (KIND=C_BOOL)      , VALUE :: use_area
+    END SUBROUTINE cxios_set_interpolate_domain_use_area
+
+    SUBROUTINE cxios_get_interpolate_domain_use_area(interpolate_domain_hdl, use_area) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: interpolate_domain_hdl
+      LOGICAL (KIND=C_BOOL)             :: use_area
+    END SUBROUTINE cxios_get_interpolate_domain_use_area
+
+    FUNCTION cxios_is_defined_interpolate_domain_use_area(interpolate_domain_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_interpolate_domain_use_area
+      INTEGER (kind = C_INTPTR_T), VALUE :: interpolate_domain_hdl
+    END FUNCTION cxios_is_defined_interpolate_domain_use_area
 
 
